Subject: bug#15863: Segmentation fault when traversing long lines

From: Aaron France <[email-masked]>
Date: Mon, 11 Nov 2013 21:04:28 +0100

Hi,

M-x version

GNU Emacs 24.3.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.2)\n of 
2013-11-11 on archbox.

I've compiled this myself in order to retrieve debug symbols. Hence the 
date.

I seem to consistently be able to make emacs segfault in both the slime 
repl and the rgrep results window. Whenever the line is unusually long 
(how long? About 2-300 chars long?) and then go to the end of the line, 
it segfaults.

I've got the gdb backtrace, which is in this link: 
https://gist.github.com/AeroNotix/368ada4c84e7a52f461d

I've tried to trace it through but I am not familiar with this source 
and it's quite a length and involved file.

Any help would be greatly appreciated.

Aaron